{{#if @id}}
  <MapInteractive @userLocation={{this.position.center}} @followUserLocation={{this.userInExtent}} class="map-selectable" as | map |>
    <div class="d-none" {{did-insert (fn this.setupExtent map)}}></div>
    <Map::Layer::VectorTiles
      @map={{map}}
      @style={{this.mapStyles.styleFunction}}
      @onSelect={{this.handleSelection}}
      @selectedId={{this.selectedFeature}}
      @bearer={{this.tiles.bearer}}
      @url={{this.tilesUrl}}
    />
  </MapInteractive>
{{/if}}